about summary refs log tree commit diff homepage
path: root/.travis/testing-utils.sh
diff options
context:
space:
mode:
authorDan Liew <daniel.liew@imperial.ac.uk>2017-03-30 14:49:16 +0100
committerDan Liew <daniel.liew@imperial.ac.uk>2017-03-30 14:49:16 +0100
commit31d7fa412c673d2e2b0f9fe2abf32afa1b105d5e (patch)
tree769509fcc09120092d307c26ba92b07228ea3118 /.travis/testing-utils.sh
parent58c5132f82112d2ceef3b676e0bd04f04c940b69 (diff)
downloadklee-31d7fa412c673d2e2b0f9fe2abf32afa1b105d5e.tar.gz
[TravisCI] Make handling of `TRAVIS_OS_NAME` more robust by not assuming
that its value not being `linux` implies `osx`.
Diffstat (limited to '.travis/testing-utils.sh')
-rwxr-xr-x.travis/testing-utils.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/.travis/testing-utils.sh b/.travis/testing-utils.sh
index 29295be2..153a5546 100755
--- a/.travis/testing-utils.sh
+++ b/.travis/testing-utils.sh
@@ -21,9 +21,12 @@ if [ "${LLVM_VERSION}" != "2.9" ]; then
     if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
       sudo cp lib* /usr/lib/
       sudo cp -r include/gtest /usr/include
-    else # OSX
+    elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then
       sudo cp lib* /usr/local/lib/
       sudo cp -r include/gtest /usr/local/include
+    else
+      echo "Unhandled TRAVIS_OS_NAME \"${TRAVIS_OS_NAME}\""
+      exit 1
     fi
 else
     # LLVM2.9 on the other hand is a pain